# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%add_findreq_skiplist %{python_sitelibdir_noarch}/oz/auto/*.cfg
Summary: Library and utilities for automated guest OS installs
Name: oz
Version: 0.9.0
Release: alt1_2
License: LGPLv2
Group: Development/C
URL: http://aeolusproject.org/oz.html
Source0: http://repos.fedorapeople.org/repos/aeolus/oz/%{version}/tarball/%{name}-%{version}.tar.gz
BuildArch: noarch
Requires: gtk-vnc
# in theory, oz doesn't really require libvirtd to be local to operate
# properly.  However, because of the libguestfs manipulations, in practice
# it really does.  Make it depend on libvirt (so we get libvirtd) for now,
# unless/until we are able to make it really be remote.
Requires: libvirt
Requires: genisoimage
Requires: mtools
Requires: openssh-clients
Source44: import.info
Requires: python-module-%name = %version-%release


%description
Oz is a set of libraries and utilities for doing automated guest OS
installations, with minimal input from the user.

%package -n python-module-%name
Group: Development/Python
Summary: python library for %name
Requires: %name = %version-%release
BuildArch: noarch

%description -n python-module-%name
%summary

%files -n python-module-%name
%{python_sitelibdir_noarch}/*


%prep
%setup -q

%build
python setup.py build

%install
# generate the oz-examples man page
python setup.py install --root=$RPM_BUILD_ROOT --skip-build

mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/isocontent/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/isos/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/floppycontent/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/floppies/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/icicletmp/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/jeos/
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/oz/kernels/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/oz
cp oz.cfg $RPM_BUILD_ROOT%{_sysconfdir}/oz

# generate the oz-examples.1 man page and copy it into place
make examples-manpage
cp man/oz-examples.1 $RPM_BUILD_ROOT%{_mandir}/man1
gzip $RPM_BUILD_ROOT%{_mandir}/man1/oz-examples.1

%post
if [ ! -f %{_sysconfdir}/oz/id_rsa-icicle-gen ]; then
   ssh-keygen -t rsa -b 2048 -N "" -f %{_sysconfdir}/oz/id_rsa-icicle-gen >& /dev/null
fi

%files
%doc README COPYING examples docs
%dir %attr(0755, root, root) %{_sysconfdir}/oz/
%config(noreplace) %{_sysconfdir}/oz/oz.cfg
%dir %attr(0755, root, root) %{_var}/lib/oz/
%dir %attr(0755, root, root) %{_var}/lib/oz/isocontent/
%dir %attr(0755, root, root) %{_var}/lib/oz/isos/
%dir %attr(0755, root, root) %{_var}/lib/oz/floppycontent/
%dir %attr(0755, root, root) %{_var}/lib/oz/floppies/
%dir %attr(0755, root, root) %{_var}/lib/oz/icicletmp/
%dir %attr(0755, root, root) %{_var}/lib/oz/jeos/
%dir %attr(0755, root, root) %{_var}/lib/oz/kernels/
%{_bindir}/oz-install
%{_bindir}/oz-generate-icicle
%{_bindir}/oz-customize
%{_bindir}/oz-cleanup-cache
%{_mandir}/man1/*


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_1
- initial fc import

